Name: xsecurelock
Version: 1.6.0
Release: alt1
URL: https://github.com/google/xsecurelock

Summary: X11 screen lock utility
License: Apache
Group: System/X11

Source: %name-%version.tar.gz
Source1: %name.pam

Patch: xcompose.patch

# Automatically added by buildreq on Thu Jul 18 2019
# optimized out: glibc-kernheaders-arm glibc-kernheaders-generic libX11-devel perl pkg-config python-base sh4 xorg-proto-devel xorg-xf86miscproto-devel
BuildRequires: apache2-htpasswd doxygen libXScrnSaver-devel libXfixes-devel libXmu-devel libXxf86misc-devel libpam-devel mplayer mpv pamtester

%description
XSecureLock is an X11 screen lock utility designed with the primary goal of
security.

Security is achieved using a modular design to avoid the usual pitfalls of
screen locking utility design.

%prep
%setup
%patch0 -p0

%build
%autoreconf
%configure \
     --with-pam-service-name=%name \
     --without-xcomposite

%make_build

%install
install -pm0644 -D %{S:1} %buildroot%_sysconfdir/pam.d/%name
%makeinstall
install -p helpers/saver_xscreensaver %buildroot%_libexecdir/%name


%files
%_bindir/%name
%_sysconfdir/pam.d/%name    
%dir %_libexecdir/%name

%_libexecdir/%name/authproto_htpasswd
%_libexecdir/%name/authproto_pam
%_libexecdir/%name/authproto_pamtester
%attr(2711,root,chkpwd) %_libexecdir/%name/auth_x11
%_libexecdir/%name/saver_blank
%_libexecdir/%name/saver_mplayer
%_libexecdir/%name/saver_mpv
%_libexecdir/%name/saver_xscreensaver
%_libexecdir/%name/saver_multiplex
%_libexecdir/%name/dimmer
%_libexecdir/%name/until_nonidle
%_libexecdir/%name/pgrp_placeholder

%exclude /usr/share/doc/xsecurelock/
%doc README.md LICENSE CONTRIBUTING

%changelog
* Sun Dec 15 2019 Denis Kharenko <galilley@gmail.com> 1.6.0-alt1
- new version

* Fri Aug 01 2014 Denis Smirnov <mithraen@altlinux.ru> 0.0.1-alt1
- first build for Sisyphus
